package cn.ccb.yn.acms.util
{
	
	import mx.controls.Alert;
	import mx.events.CloseEvent;
	import mx.messaging.messages.ErrorMessage;
	import mx.rpc.events.FaultEvent;
	
	public class ErrorHandler
	{
		
		public static function handleError(event:FaultEvent):void{
			
			var errorMessage:ErrorMessage = event.message as ErrorMessage;
			
			if (errorMessage && errorMessage.faultString){
				
				var msg:String=errorMessage.faultString;	
				msg=msg.substr(0,msg.indexOf('T'));
				var code:String=errorMessage.faultCode;
				var title:String=errorMessage.faultDetail;
				
				if (title && !code){
					Alert.show(msg, title, 4);
				}else if(!title && code){
					Alert.show(msg, "错误提示", 4, null, onClickAlertToLogin);
				}else if (title && code){
					Alert.show(msg, title, 4, null, onClickAlertToLogin);
				}
				else if (!title && !code){
					Alert.show(msg, "错误提示", 4);
				}
				
			}
			
			
		}
		
		private static function onClickAlertToLogin(event:CloseEvent):void
		{
			//点击确定后的处理，例如切换页面等
		}
		
		public function ErrorHandler()
		{
		}
	}
}