package com.wgy.system.service;

import com.wgy.common.model.Sadmin;

public interface ILoginService {
	/**
 	 * 获取用户session
	 * @param key
	 * @return
	 */
	public Sadmin getAttribute(String key);
	
	/**
	 * 用户登录
	 * @param userName
	 * @param pwd
	 * @return
	 */
	public String checkLogin(String userName,String pwd);
	
	/**
	 * session清空
	 */
	public void removeSession();
}
