package com.wgy.system.service;

import java.util.List;

import com.wgy.common.model.Smenu;
import com.wgy.system.vo.MenuPageList;

public interface IMenuService {
	public String querySysMenuXmlString(String userId, boolean bool);
    public MenuPageList queryMenuForPage(int begin, int perPage,String menuName);
	
	/**
	 * 根据菜单名称查询菜单列表
	 * @param menuName
	 * @return
	 */
	public List<Smenu> queryMenu(String menuName);
	
	/**
	 * 菜单信息的添加后的保存
	 * @param menuInfo
	 * @return
	 */
	public String saveMenu(Smenu menuInfo);
	
	/**
	 * 修改菜单后的保存
	 * @param menuInfo
	 * @return
	 */
	public String saveMenuInfo(Smenu menuInfo);
	/**
	 * 根据菜单ID删除菜单
	 * @param id
	 * @return
	 */
	public String deleteMenuById(int id);
}
