package com.wgy.system.service;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.orm.hibernate3.HibernateTemplate;
import org.springframework.stereotype.Service;

import com.wgy.common.model.Sadmin;

import flex.messaging.FlexContext;
@Service
public class LoginServiceImpl implements ILoginService {
	@Autowired
	JdbcTemplate jdbcTemplate;
	@Autowired
	HibernateTemplate hibernateTemplate;
	
	/**
	 * 记录用户登录信息
	 * @param key
	 * @param val
	 */
	private  void setAttribute(String key,Sadmin val){
		HttpServletRequest request =FlexContext.getHttpRequest();		
		HttpSession session=request.getSession();
		session.setAttribute(key,val);
	}
	public Sadmin getAttribute(String key) {
		HttpServletRequest request =FlexContext.getHttpRequest();
		HttpSession session=request.getSession();
		return (Sadmin) session.getAttribute(key);
	}

	public String checkLogin(String account, String pwd) {
		Sadmin admin = null;
		//String str  =Encrypt.getInstance().encryFuc(pwd);
		String str  = pwd;
		String hql=" from Sadmin e where e.account='"+account+"' and e.password='"+str+"' ";
		String sql =" from Sadmin e where e.account='"+account+"' and e.deleteflag='0' ";
		
		@SuppressWarnings("unchecked")
		List<Sadmin> listUser = this.hibernateTemplate.find(sql);
		if(listUser.size()>0 && null!=listUser){
			@SuppressWarnings("unchecked")
			List<Sadmin> list = this.hibernateTemplate.find(hql);
			if(null!=list && list.size()>0){
				admin = list.get(0);
				String flag = checkRole(admin.getId().toString());
				if(flag.equals("false")){
					return "noRight";
				}
				saveLoginInfor(admin);
				return "success";
			}
			return "error";
			
		}
		return "noUser";
	}

	public void removeSession() {
		HttpServletRequest request =FlexContext.getHttpRequest();		
		HttpSession session=request.getSession();
		session.removeAttribute("LoginUser");

	}
	private String checkRole(String adminId){
		String sql = "select count(r.id) c from sroleadmin r where r.adminid='"+adminId+"'";
		List<Map<String, Object>> list = this.jdbcTemplate.queryForList(sql);
		if(list.get(0).get("C").toString().equals("0")){
			return "false";
		}
		return "true";
	}
	
	private void saveLoginInfor(Sadmin info){
		@SuppressWarnings("unused")
		HttpServletRequest request =FlexContext.getHttpRequest();

		setAttribute("LoginUser",info);
		
		
	}

}
