package com.wgy.system.ucc;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.flex.remoting.RemotingDestination;
import org.springframework.stereotype.Service;

import com.wgy.common.model.Smenu;
import com.wgy.system.service.IMenuService;
import com.wgy.system.vo.MenuPageList;

@Service
@RemotingDestination
public class MenuUccImpl implements IMenuUcc {
	@Autowired
	IMenuService menuService;
	public String querySysMenuXmlString(String userId, boolean bool) {
		return menuService.querySysMenuXmlString(userId, bool);
	}
	public MenuPageList queryMenuForPage(int begin, int perPage, String menuName) {
		return menuService.queryMenuForPage(begin, perPage, menuName);
	}
	public List<Smenu> queryMenu(String menuName) {
		return menuService.queryMenu(menuName);
	}
	public String saveMenu(Smenu menuInfo) {
		return menuService.saveMenu(menuInfo);
	}
	public String saveMenuInfo(Smenu menuInfo) {
		return menuService.saveMenuInfo(menuInfo);
	}
	public String deleteMenuById(int id) {
		return menuService.deleteMenuById(id);
	}

}
